<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @subpackage Blog On
 */

if (!function_exists('blog_on_breadcrumb_type')) :

    function blog_on_breadcrumb_type($post_id)
    {
       $blog_on_theme_options   = blog_on_get_theme_options();
       $breadcrumb_type       = $blog_on_theme_options['breadcrumb_option'];

        if(  $breadcrumb_type == 'simple' )
        {
?>
<?php
if (function_exists('bcn_display')) {
    ?>
<!--breadcrumb-->
<div class="col-sm-12 col-md-12 ">
  <div class="breadcrumb">


    <div class="page-title">
      <div class="container">


            <?php
            echo "<div class='breadcrumbs'><div id='cwp-breadcrumbs' class='cwp-breadcrumbs'>";
            bcn_display();
            echo "</div></div>";
            ?>
        </div>
        </div>
        <?php

    ?>
  </div>
</div>
<!--end breadcrumb-->
<?php
        }
      }
      }

endif;

add_action('blog_on_breadcrumb_type', 'blog_on_breadcrumb_type', 10, 1);
