<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Blog_On
 */

get_header();
/**
* Hook - Blog_On.
*
* @hooked Blog_On
*/
do_action( 'blog_on_breadcrumb_type' );	

?>

            <div class="col-md-8 content-wrap single-page" id="primary">
	           
	               <?php
					while ( have_posts() ) :
						the_post();

						get_template_part( 'template-parts/content', 'single');

						the_post_navigation();

						 /**
                     * blog_on_related_posts hook
                     * @since Newie 1.0.0
                     *
                     * @hooked blog_on_related_posts
                     */
                    do_action('blog_on_related_posts' ,get_the_ID() );

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>
			</div>
			 <div class="col-md-4 sidebar-wrap" id="secondary">
			 	<?php get_sidebar(); ?>
				
				
</div><!-- main-container -->

<?php
get_footer();
